summaryrefslogtreecommitdiff
path: root/dillo
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-12-09 09:47:41 +0000
committerChris Larson <clarson@kergoth.com>2004-12-09 09:47:41 +0000
commit2c5b8ec6d95cf68650265941530e5ce38c8dd6d9 (patch)
treebf879bea7ef8517ba8c3d1286ef300401d3d484c /dillo
parent101e2f1623def0a355d20aacb8bd93810703e834 (diff)
Merge oe-devel@oe-devel.bkbits.net:openembedded
into hyperion.kergoth.com:/home/kergoth/code/openembedded 2004/12/09 03:39:39-06:00 kergoth.com!kergoth Break people's builds again.. this time moving the packages into a packages/ subdir to clean things up a bit. BKrev: 41b81f3dvlp3rU7_8MUXLcI8LDdDoA
Diffstat (limited to 'dillo')
-rw-r--r--dillo/dillo2-0.6.6/dillo.desktop9
-rw-r--r--dillo/dillo2-0.6.6/dillo.png0
-rw-r--r--dillo/dillo2-0.6.6/dillorc71
-rw-r--r--dillo/dillo2-0.6.6/fix_about_syntax.patch174
-rw-r--r--dillo/dillo2-0.6.6/gtk2.patch23878
-rw-r--r--dillo/dillo2_0.6.6.bb0
6 files changed, 0 insertions, 24132 deletions
diff --git a/dillo/dillo2-0.6.6/dillo.desktop b/dillo/dillo2-0.6.6/dillo.desktop
deleted file mode 100644
index 6c5f994da4..0000000000
--- a/dillo/dillo2-0.6.6/dillo.desktop
+++ /dev/null
@@ -1,9 +0,0 @@
-[Desktop Entry]
-Name=Web browser
-Comment=Dillo
-Exec=dillo
-Terminal=0
-Type=Application
-Icon=dillo.png
-Categories=Application;PIM;GPE
-StartupNotify=True
diff --git a/dillo/dillo2-0.6.6/dillo.png b/dillo/dillo2-0.6.6/dillo.png
deleted file mode 100644
index e69de29bb2..0000000000
--- a/dillo/dillo2-0.6.6/dillo.png
+++ /dev/null
diff --git a/dillo/dillo2-0.6.6/dillorc b/dillo/dillo2-0.6.6/dillorc
deleted file mode 100644
index fce16dd957..0000000000
--- a/dillo/dillo2-0.6.6/dillorc
+++ /dev/null
@@ -1,71 +0,0 @@
-# dillorc
-# Sample dillo initialization file.
-# Lines that start with a '#' are comments.
-
-# Set the desired initial browser size
-geometry=240x310
-
-# Set the home location
-home=http://www.google.com/palm/
-
-# Set the proxy information for http
-#http_proxy=http://localhost:8080/
-
-# Set the domain to access without proxy
-#no_proxy = http://www.mynet.com/
-
-# If you prefer oblique over italic fonts, uncoment next line
-use_oblique=YES
-
-# Color Section
-# Here we can use the standard (and extended) html named color or
-# the hexdecimal version (in C style)
-
-# Set the background color
-# bg_color=gray
-# bg_color=0xd6d6c0
-# bg_color=0xdcd1ba
-
-# Set the text color
-text_color=black
-
-# Set the link color
-link_color=blue
-
-# If you like white backgrounds, uncomment next line
-allow_white_bg=YES
-
-# Use the same colors with all documents?
-force_my_colors=NO
-
-# All fontsizes are scaled by this value (default is 1.0)
-font_factor=0.6
-
-# Show ALT popup for images?
-show_alt=YES
-
-# Size of dillo panel (used to enlarge the browsing area)
-# tiny : recommended for iPAQ (with small_icons)
-# medium : nice!
-# large : Traditional
-panel_size=stack
-small_icons=YES
-
-# Set this to YES, if you want to limit the word wrap width to the vieport
-# width (may be useful for iPAQ)
-limit_text_width=YES
-
-use_dicache=YES
-
-show_back = YES
-show_forw = YES
-show_home = YES
-show_save = YES
-show_stop = YES
-show_menubar = YES
-show_clear_url = YES
-show_url = YES
-show_progress_box = NO
-transient_dialogs = YES
-
-# dillorc ends here.
diff --git a/dillo/dillo2-0.6.6/fix_about_syntax.patch b/dillo/dillo2-0.6.6/fix_about_syntax.patch
deleted file mode 100644
index 06b4d09614..0000000000
--- a/dillo/dillo2-0.6.6/fix_about_syntax.patch
+++ /dev/null
@@ -1,174 +0,0 @@
-diff -urNd ../dillo2-0.6.6-r0/dillo2-0.6.6/src/IO/about.c dillo2-0.6.6/src/IO/about.c
---- ../dillo2-0.6.6-r0/dillo2-0.6.6/src/IO/about.c 2003-04-21 19:36:31.000000000 +0100
-+++ dillo2-0.6.6/src/IO/about.c 2004-09-11 10:58:48.000000000 +0100
-@@ -28,88 +28,88 @@
- * HTML text for startup screen
- */
- static char *Splash=
--"Content-type: text/html
--
--<!doctype html public \"-//w3c//dtd html 4.0 transitional//en\">
--<html>
--<head>
--<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
--</head>
--
--<body bgcolor=\"gray\" link=\"aqua\" vlink=\"black\">
--
--<table WIDTH=\"100%\" BORDER=0 CELLSPACING=0 CELLPADDING=5>
--<tr>
--<td BGCOLOR=\"gray\">
--<hr>
-- <A HREF='http://dillo.cipsga.org.br/dillo-help.html'>Help</A><br>
-- <A HREF='http://dillo.cipsga.org.br/'>Home Page</A><br>
-- <A HREF='http://dillo.cipsga.org.br/ChangeLog.html'>
-- Full&nbsp;ChangeLog</A><br>
-- <A HREF='http://www.google.com/'>Google</A><br>
--<hr>
--</td>
--
--<td BGCOLOR=\"#9090F0\">
--<h1><b>Dillo 0.6.7-pre</b></h1>
--
--<hr>
-- <h1>Dillo project<br>
-- <h3>Version 0.6.7-pre<BR> <EM>(this is alpha code)</EM> </h3></h1>
--<h4> License: </h4>
--<p>
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--<p>
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
--<hr>
--<h4> Release overview: </h4>
--<BLOCKQUOTE>
-- [...]
--</BLOCKQUOTE><BLOCKQUOTE>
-- Remember that dillo project uses a release model where every new
--browser shall be better than the former.
--<EM>Keep up with the latest one!</EM>
--</BLOCKQUOTE>
--<hr>
--<h4>NOTES:</h4>
--<p>
--<ul>
--<li> There's a <STRONG>dillorc</STRONG> (readable config) file within the
--tarball; It is well commented and has plenty of options to customize dillo,
--so <STRONG>copy it</STRONG> to your <STRONG>~/.dillo/</STRONG> directory,
--and modify to your taste.
--<li> There's documentation for developers in the <CODE>/doc</CODE>
--dir within the tarball;
--you can find directions on everything else at the home page. </li>
--<li> Dillo has context sensitive menus on the right-mouse-button
-- (pages, links, Back and Forward buttons)</li>
--<li> Dillo behaves very nice when browsing local files, images, and HTML.
--It's also very good for Internet searching (try Google!).</li>
--<li> This release is mainly intended <strong>for developers</strong>
--and <em>advanced users</em></li>
--</ul>
--<hr>
--<h4>Notes to Xfce users:</h4>
--<P> Please bear in mind that dillo is alpha code; it is not ready for
--end users yet. Anyway, local browsing (files and local HTTP) is quite stable
--and chances are you'll not be disappointed.
--<P> Tip: if you set BROWSER=dillo, Xfce's help will be a sweet tour!
--<P> TABLES are a work in progress.
--<P> FRAMES, Java, and Javascript are not supported.
--<hr>
--<hr>
--
--</td>
--</table>
--</body>
--</html>
-+"Content-type: text/html \
-+ \
-+<!doctype html public \"-//w3c//dtd html 4.0 transitional//en\"> \
-+<html> \
-+<head> \
-+<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\"> \
-+</head> \
-+ \
-+<body bgcolor=\"gray\" link=\"aqua\" vlink=\"black\"> \
-+ \
-+<table WIDTH=\"100%\" BORDER=0 CELLSPACING=0 CELLPADDING=5> \
-+<tr> \
-+<td BGCOLOR=\"gray\"> \
-+<hr> \
-+ <A HREF='http://dillo.cipsga.org.br/dillo-help.html'>Help</A><br> \
-+ <A HREF='http://dillo.cipsga.org.br/'>Home Page</A><br> \
-+ <A HREF='http://dillo.cipsga.org.br/ChangeLog.html'> \
-+ Full&nbsp;ChangeLog</A><br> \
-+ <A HREF='http://www.google.com/'>Google</A><br> \
-+<hr> \
-+</td> \
-+ \
-+<td BGCOLOR=\"#9090F0\"> \
-+<h1><b>Dillo 0.6.7-pre</b></h1> \
-+ \
-+<hr> \
-+ <h1>Dillo project<br> \
-+ <h3>Version 0.6.7-pre<BR> <EM>(this is alpha code)</EM> </h3></h1> \
-+<h4> License: </h4> \
-+<p> \
-+ This program is free software; you can redistribute it and/or modify \
-+ it under the terms of the GNU General Public License as published by \
-+ the Free Software Foundation; either version 2 of the License, or \
-+ (at your option) any later version. \
-+<p> \
-+ This program is distributed in the hope that it will be useful, \
-+ but WITHOUT ANY WARRANTY; without even the implied warranty of \
-+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the \
-+ GNU General Public License for more details. \
-+ \
-+<hr> \
-+<h4> Release overview: </h4> \
-+<BLOCKQUOTE> \
-+ [...] \
-+</BLOCKQUOTE><BLOCKQUOTE> \
-+ Remember that dillo project uses a release model where every new \
-+browser shall be better than the former. \
-+<EM>Keep up with the latest one!</EM> \
-+</BLOCKQUOTE> \
-+<hr> \
-+<h4>NOTES:</h4> \
-+<p> \
-+<ul> \
-+<li> There's a <STRONG>dillorc</STRONG> (readable config) file within the \
-+tarball; It is well commented and has plenty of options to customize dillo, \
-+so <STRONG>copy it</STRONG> to your <STRONG>~/.dillo/</STRONG> directory, \
-+and modify to your taste. \
-+<li> There's documentation for developers in the <CODE>/doc</CODE> \
-+dir within the tarball; \
-+you can find directions on everything else at the home page. </li> \
-+<li> Dillo has context sensitive menus on the right-mouse-button \
-+ (pages, links, Back and Forward buttons)</li> \
-+<li> Dillo behaves very nice when browsing local files, images, and HTML. \
-+It's also very good for Internet searching (try Google!).</li> \
-+<li> This release is mainly intended <strong>for developers</strong> \
-+and <em>advanced users</em></li> \
-+</ul> \
-+<hr> \
-+<h4>Notes to Xfce users:</h4> \
-+<P> Please bear in mind that dillo is alpha code; it is not ready for \
-+end users yet. Anyway, local browsing (files and local HTTP) is quite stable \
-+and chances are you'll not be disappointed. \
-+<P> Tip: if you set BROWSER=dillo, Xfce's help will be a sweet tour! \
-+<P> TABLES are a work in progress. \
-+<P> FRAMES, Java, and Javascript are not supported. \
-+<hr> \
-+<hr> \
-+ \
-+</td> \
-+</table> \
-+</body> \
-+</html> \
- ";
-
-
diff --git a/dillo/dillo2-0.6.6/gtk2.patch b/dillo/dillo2-0.6.6/gtk2.patch
deleted file mode 100644
index 9f6d8acdda..0000000000
--- a/dillo/dillo2-0.6.6/gtk2.patch
+++ /dev/null
@@ -1,23878 +0,0 @@
-diff -urN dillo-0.6.6/AUTHORS dillo2-0.6.6/AUTHORS
---- dillo-0.6.6/AUTHORS 2002-05-29 15:26:51.000000000 -0600
-+++ dillo2-0.6.6/AUTHORS 2003-04-21 12:35:02.000000000 -0600
-@@ -25,10 +25,10 @@
- Patches:
- * Sam Dennis
- * Andrew McPherson
-- * Andreas Schweitzer
- * Sean 'Shaleh' Perry
- * Marcos Ramírez
- * Adam Sampson
-+ * Andreas Schweitzer
- * Dominic Wong
- _________________________________________________________________
-
-diff -urN dillo-0.6.6/ChangeLog dillo2-0.6.6/ChangeLog
---- dillo-0.6.6/ChangeLog 2002-05-29 15:20:44.000000000 -0600
-+++ dillo2-0.6.6/ChangeLog 2003-04-21 12:35:02.000000000 -0600
-@@ -3,6 +3,27 @@
- =============================================================================
-
-
-+dillo-0.6.7 [?, 2002]
-+
-+ - * Added code so that tooltips stay within the screen.
-+ Patch: Pekka Lampila, Sebastian Geerken
-+ - * Fixed a problem occurring when scrolling with the "b" key.
-+ Patch: Livio Baldini
-+ - * Fixed a memory leak in DwAlignedPage.
-+ Patch: Jörgen Viksell, Sebastian Geerken
-+ - * Fixed a bug in DwPage ("height" argument).
-+ Patch: Pekka Lampila
-+ - * Removed space around tables.
-+ * Implemented the <button> tag! (BUG#276)
-+ Patches: Sebastian Geerken
-+ - * Added support for <input type=image...> (BUG#313)
-+ Patch: Madis Janson, Sebastian Geerken, Jorge Arellano
-+ - * Made a better EAGAIN handler, and enabled FreeIOVec operation in IOWrite.
-+ Patch: Jorge Arellano, Livio Baldini
-+ - * Avoided a file lock when cookiesrc disables cookies (BUG#358).
-+ Patch: Jorge Arellano
-+
-+
- dillo-0.6.6 [May 30, 2002]
-
- - * Added a few canonical casts to fix some obvious 64bit issues.
-diff -urN dillo-0.6.6/ChangeLog.old dillo2-0.6.6/ChangeLog.old
---- dillo-0.6.6/ChangeLog.old 2000-08-30 10:17:58.000000000 -0600
-+++ dillo2-0.6.6/ChangeLog.old 1969-12-31 17:00:00.000000000 -0700
-@@ -1,89 +0,0 @@
--
--This is the Changelog file that existed before Dillo began.
--
--
--===========================================================================
--Gzilla project
--
--Wed 28 Oct 1999 Christopher Reid Palmer <chrisp@innerfireworks.com>
-- Rota Luca
-- * support for arrow keys
-- * proper tool bar
-- * cursor changing
--
-- Randy Maas
-- * documentation
-- * URL sub-tree cleanups and speed-ups
--
-- Sammy Mannaert
-- * bookmarks.c fix
-- * menu hotkeys, menu pulloffs and Location pull-off
-- * file:/ URL bugfix, for larger than 12 char names
--
-- David Press
-- * fix to cursor change
--
--Fri Jul 23 22:12:14 1999 ObiTuarY <obituary@freshmeat.net>
--
-- * *.*: Upgraded to autoconf 2.13 and automake 1.4. Reorganization
-- of the source.
-- * src/interface.{c,h}: Added pixmaps for the buttons. Removed the
-- open button. Doesn't it feel redundant with the location text entry
-- just under it ? ;-)
-- * src/pixmaps.h: New file holding the pixmaps.
--
--0.2.0 17-18 Jul 1999 Christopher Reid Palmer <chrisp@innerFireWorks.com>
-- * Restructured menus, beginning to implement functionality of new menu items.
-- * Closed hole for when ~/.gzilla exists but is not a dir.
-- * Poked at bookmarks.
--
--
--
--===========================================================================
--Raph Levien project
--
--
--Mon Dec 21 00:07:36 1998 Raph Levien <raph@gimp.org>
--
-- * gzilladns.c: fixed a bug (adding the input handler more
-- than once) that got triggered in Gtk 1.1.x.
-- * gzillageturl.c: added an "about:" mechanism with simple
-- redirects. This is 0.1.7.
--
--Sun Dec 20 22:25:17 1998 Raph Levien <raph@gimp.org>
--
-- * Accelerator group code so that it now compiles with both
-- Gtk 1.0.x and 1.1.x
-- * Added directory scanning support to gzilla_file (thanks to Jim
-- McBeath!)
--
--0.1.5 (2 Jan 1998 RLL)
-- * Finished moving junk out of bytesink (mostly into linkblock).
-- Now, the former abstraction is lean and mean, and the latter
-- is a junkheap :).
-- * Tried to hook up most of the abort/destroy logic, so it should
-- leak a lot less memory now.
-- * I'm moving images from gtk_preview to gzw_image as well.
--
--0.1.4 (26 Nov 1997 RLL)
-- * Pages > 32kpixels actually scroll now.
-- * Pretty significant rework of the whole abort architecture (see
-- abort.html for more details). Also separated out some of the
-- web-specific stuff in bytesink to linkblock.
-- * It seems relatively stable now, but it's nowhere near freeing
-- all of the memory it allocates.
--
--0.1.3
-- * Switched page widget from gtk to gzw.
-- * Significant enhancements in functionality and stability.
--
--0.0.10
-- * Major change is reorganization of network code - all fetches now
-- go through gzilla_url_get.
--
-- * Aborts (i.e. the implementation of the Stop button) are now
-- handled by a new bytesink signal ("abort"). The abort logic has
-- been partially upgraded to handle multiple windows - now,
-- gzilla_bw_abort_all aborts all bytesinks in a window.
--
--
-diff -urN dillo-0.6.6/Makefile dillo2-0.6.6/Makefile
---- dillo-0.6.6/Makefile 1969-12-31 17:00:00.000000000 -0700
-+++ dillo2-0.6.6/Makefile 2003-04-21 14:26:43.000000000 -0600
-@@ -0,0 +1,435 @@
-+# Makefile.in generated by automake 1.6.3 from Makefile.am.
-+# Makefile. Generated from Makefile.in by configure.
-+
-+# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
-+# Free Software Foundation, Inc.
-+# This Makefile.in is free software; the Free Software Foundation
-+# gives unlimited permission to copy and/or distribute it,
-+# with or without modifications, as long as this notice is preserved.
-+
-+# This program is distributed in the hope that it will be useful,
-+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-+# PARTICULAR PURPOSE.
-+
-+
-+SHELL = /bin/sh
-+
-+srcdir = .
-+top_srcdir = .
-+
-+prefix = /usr
-+exec_prefix = ${prefix}
-+
-+bindir = ${exec_prefix}/bin
-+sbindir = ${exec_prefix}/sbin
-+libexecdir = ${exec_prefix}/libexec
-+datadir = ${prefix}/share
-+sysconfdir = ${prefix}/etc
-+sharedstatedir = ${prefix}/com
-+localstatedir = ${prefix}/var
-+libdir = ${exec_prefix}/lib
-+infodir = ${prefix}/info
-+mandir = ${prefix}/man
-+includedir = ${prefix}/include
-+oldincludedir = /usr/include
-+pkgdatadir = $(datadir)/dillo
-+pkglibdir = $(libdir)/dillo
-+pkgincludedir = $(includedir)/dillo
-+top_builddir = .
-+
-+ACLOCAL = aclocal-1.6
-+AUTOCONF = autoconf
-+AUTOMAKE = automake-1.6
-+AUTOHEADER = autoheader
-+
-+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-+INSTALL = /usr/bin/install -c
-+INSTALL_PROGRAM = ${INSTALL}
-+INSTALL_DATA = ${INSTALL} -m 644
-+install_sh_DATA = $(install_sh) -c -m 644
-+install_sh_PROGRAM = $(install_sh) -c
-+install_sh_SCRIPT = $(install_sh) -c
-+INSTALL_SCRIPT = ${INSTALL}
-+INSTALL_HEADER = $(INSTALL_DATA)
-+transform = s,x,x,
-+NORMAL_INSTALL = :
-+PRE_INSTALL = :
-+POST_INSTALL = :
-+NORMAL_UNINSTALL = :
-+PRE_UNINSTALL = :
-+POST_UNINSTALL = :
-+
-+EXEEXT =
-+OBJEXT = o
-+PATH_SEPARATOR = :
-+AMTAR = tar
-+AWK = gawk
-+CC = gcc
-+DEPDIR = .deps
-+INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
-+LIBJPEG_LIB = -ljpeg
-+PACKAGE = dillo
-+PKG_CONFIG = /usr/bin/pkg-config
-+RANLIB = ranlib
-+STRIP =
-+VERSION = 0.6.6
-+am__include = include
-+am__quote =
-+install_sh = /home/pb/dillo2/install-sh
-+src =
-+SUBDIRS = doc src
-+
-+EXTRA_DIST = ChangeLog.old dillorc
-+subdir = .
-+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-+CONFIG_HEADER = config.h
-+CONFIG_CLEAN_FILES =
-+DIST_SOURCES =
-+
-+RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
-+ uninstall-info-recursive all-recursive install-data-recursive \
-+ install-exec-recursive installdirs-recursive install-recursive \
-+ uninstall-recursive check-recursive installcheck-recursive
-+DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
-+ Makefile.in NEWS aclocal.m4 config.h.in configure configure.in \
-+ depcomp install-sh missing mkinstalldirs
-+DIST_SUBDIRS = $(SUBDIRS)
-+all: config.h
-+ $(MAKE) $(AM_MAKEFLAGS) all-recursive
-+
-+.SUFFIXES:
-+
-+am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
-+ configure.lineno
-+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
-+ cd $(top_srcdir) && \
-+ $(AUTOMAKE) --gnu Makefile
-+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-+ cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
-+
-+$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-+ $(SHELL) ./config.status --recheck
-+$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
-+ cd $(srcdir) && $(AUTOCONF)
-+
-+$(ACLOCAL_M4): configure.in
-+ cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
-+
-+config.h: stamp-h1
-+ @if test ! -f $@; then \
-+ rm -f stamp-h1; \
-+ $(MAKE) stamp-h1; \
-+ else :; fi
-+
-+stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
-+ @rm -f stamp-h1
-+ cd $(top_builddir) && $(SHELL) ./config.status config.h
-+
-+$(srcdir)/config.h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4)
-+ cd $(top_srcdir) && $(AUTOHEADER)
-+ touch $(srcdir)/config.h.in
-+
-+distclean-hdr:
-+ -rm -f config.h stamp-h1
-+uninstall-info-am:
-+
-+# This directory's subdirectories are mostly independent; you can cd
-+# into them and run `make' without going through this Makefile.
-+# To change the values of `make' variables: instead of editing Makefiles,
-+# (1) if the variable is set in `config.status', edit `config.status'
-+# (which will cause the Makefiles to be regenerated when you run `make');
-+# (2) otherwise, pass the desired values on the `make' command line.
-+$(RECURSIVE_TARGETS):
-+ @set fnord $$MAKEFLAGS; amf=$$2; \
-+ dot_seen=no; \
-+ target=`echo $@ | sed s/-recursive//`; \
-+ list='$(SUBDIRS)'; for subdir in $$list; do \
-+ echo "Making $$target in $$subdir"; \
-+ if test "$$subdir" = "."; then \
-+ dot_seen=yes; \
-+ local_target="$$target-am"; \
-+ else \
-+ local_target="$$target"; \
-+ fi; \
-+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-+ || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
-+ done; \
-+ if test "$$dot_seen" = "no"; then \
-+ $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
-+ fi; test -z "$$fail"
-+
-+mostlyclean-recursive clean-recursive distclean-recursive \
-+maintainer-clean-recursive:
-+ @set fnord $$MAKEFLAGS; amf=$$2; \
-+ dot_seen=no; \
-+ case "$@" in \
-+ distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
-+ *) list='$(SUBDIRS)' ;; \
-+ esac; \
-+ rev=''; for subdir in $$list; do \
-+ if test "$$subdir" = "."; then :; else \
-+ rev="$$subdir $$rev"; \
-+ fi; \
-+ done; \
-+ rev="$$rev ."; \
-+ target=`echo $@ | sed s/-recursive//`; \
-+ for subdir in $$rev; do \
-+ echo "Making $$target in $$subdir"; \
-+ if test "$$subdir" = "."; then \
-+ local_target="$$target-am"; \
-+ else \
-+ local_target="$$target"; \
-+ fi; \
-+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-+ || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
-+ done && test -z "$$fail"
-+tags-recursive:
-+ list='$(SUBDIRS)'; for subdir in $$list; do \
-+ test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
-+ done
-+
-+ETAGS = etags
-+ETAGSFLAGS =
-+
-+tags: TAGS
-+
-+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
-+ list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
-+ unique=`for i in $$list; do \
-+ if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-+ done | \
-+ $(AWK) ' { files[$$0] = 1; } \
-+ END { for (i in files) print i; }'`; \
-+ mkid -fID $$unique
-+
-+TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
-+ $(TAGS_FILES) $(LISP)
-+ tags=; \
-+ here=`pwd`; \
-+ list='$(SUBDIRS)'; for subdir in $$list; do \
-+ if test "$$subdir" = .; then :; else \
-+ test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
-+ fi; \
-+ done; \
-+ list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
-+ unique=`for i in $$list; do \
-+ if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-+ done | \
-+ $(AWK) ' { files[$$0] = 1; } \
-+ END { for (i in files) print i; }'`; \
-+ test -z "$(ETAGS_ARGS)$$tags$$unique" \
-+ || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-+ $$tags $$unique
-+
-+GTAGS:
-+ here=`$(am__cd) $(top_builddir) && pwd` \
-+ && cd $(top_srcdir) \
-+ && gtags -i $(GTAGS_ARGS) $$here
-+
-+distclean-tags:
-+ -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
-+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-+
-+top_distdir = .
-+distdir = $(PACKAGE)-$(VERSION)
-+
-+am__remove_distdir = \
-+ { test ! -d $(distdir) \
-+ || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
-+ && rm -fr $(distdir); }; }
-+
-+GZIP_ENV = --best
-+distcleancheck_listfiles = find . -type f -print
-+
-+distdir: $(DISTFILES)
-+ $(am__remove_distdir)
-+ mkdir $(distdir)
-+ @list='$(DISTFILES)'; for file in $$list; do \
-+ if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-+ dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-+ if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-+ dir="/$$dir"; \
-+ $(mkinstalldirs) "$(distdir)$$dir"; \
-+ else \
-+ dir=''; \
-+ fi; \
-+ if test -d $$d/$$file; then \
-+ if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-+ cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
-+ fi; \
-+ cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
-+ else \
-+ test -f $(distdir)/$$file \
-+ || cp -p $$d/$$file $(distdir)/$$file \
-+ || exit 1; \
-+ fi; \
-+ done
-+ list='$(SUBDIRS)'; for subdir in $$list; do \
-+ if test "$$subdir" = .; then :; else \
-+ test -d $(distdir)/$$subdir \
-+ || mkdir $(distdir)/$$subdir \
-+ || exit 1; \
-+ (cd $$subdir && \
-+ $(MAKE) $(AM_MAKEFLAGS) \
-+ top_distdir="$(top_distdir)" \
-+ distdir=../$(distdir)/$$subdir \
-+ distdir) \
-+ || exit 1; \
-+ fi; \
-+ done
-+ -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
-+ ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
-+ ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
-+ ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
-+ || chmod -R a+r $(distdir)
-+dist-gzip: distdir
-+ $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-+ $(am__remove_distdir)
-+
-+dist dist-all: distdir
-+ $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-+ $(am__remove_distdir)
-+
-+# This target untars the dist file and tries a VPATH configuration. Then
-+# it guarantees that the distribution is self-contained by making another
-+# tarfile.
-+distcheck: dist
-+ $(am__remove_distdir)
-+ GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
-+ chmod -R a-w $(distdir); chmod a+w $(distdir)
-+ mkdir $(distdir)/=build
-+ mkdir $(distdir)/=inst
-+ chmod a-w $(distdir)
-+ dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
-+ && cd $(distdir)/=build \
-+ && ../configure --srcdir=.. --prefix=$$dc_install_base \
-+ $(DISTCHECK_CONFIGURE_FLAGS) \
-+ && $(MAKE) $(AM_MAKEFLAGS) \
-+ && $(MAKE) $(AM_MAKEFLAGS) dvi \
-+ && $(MAKE) $(AM_MAKEFLAGS) check \
-+ && $(MAKE) $(AM_MAKEFLAGS) install \
-+ && $(MAKE) $(AM_MAKEFLAGS) installcheck \
-+ && $(MAKE) $(AM_MAKEFLAGS) uninstall \
-+ && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
-+ || { echo "ERROR: files left after uninstall:" ; \
-+ find $$dc_install_base -type f -print ; \
-+ exit 1; } >&2 ) \
-+ && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
-+ && rm -f $(distdir).tar.gz \
-+ && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
-+ $(am__remove_distdir)
-+ @echo "$(distdir).tar.gz is ready for distribution" | \
-+ sed 'h;s/./=/g;p;x;p;x'
-+distcleancheck: distclean
-+ if test '$(srcdir)' = . ; then \
-+ echo "ERROR: distcleancheck can only run from a VPATH build" ; \
-+ exit 1 ; \
-+ fi
-+ test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
-+ || { echo "ERROR: files left after distclean:" ; \
-+ $(distcleancheck_listfiles) ; \
-+ exit 1; } >&2
-+check-am: all-am
-+check: check-recursive
-+all-am: Makefile config.h
-+installdirs: installdirs-recursive
-+installdirs-am:
-+
-+install: install-recursive
-+install-exec: install-exec-recursive
-+install-data: install-data-recursive
-+uninstall: uninstall-recursive
-+
-+install-am: all-am
-+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-+
-+installcheck: installcheck-recursive
-+install-strip:
-+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-+ INSTALL_STRIP_FLAG=-s \
-+ `test -z '$(STRIP)' || \
-+ echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-+mostlyclean-generic:
-+
-+clean-generic:
-+
-+distclean-generic:
-+ -rm -f Makefile $(CONFIG_CLEAN_FILES)
-+
-+maintainer-clean-generic:
-+ @echo "This command is intended for maintainers to use"
-+ @echo "it deletes files that may require special tools to rebuild."
-+clean: clean-recursive
-+
-+clean-am: clean-generic mostlyclean-am
-+
-+distclean: distclean-recursive
-+ -rm -f $(am__CONFIG_DISTCLEAN_FILES)
-+distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
-+
-+dvi: dvi-recursive
-+
-+dvi-am:
-+
-+info: info-recursive
-+
-+info-am:
-+
-+install-data-am: install-data-local
-+
-+install-exec-am:
-+
-+install-info: install-info-recursive
-+
-+install-man:
-+
-+installcheck-am:
-+
-+maintainer-clean: maintainer-clean-recursive
-+ -rm -f $(am__CONFIG_DISTCLEAN_FILES)
-+ -rm -rf autom4te.cache
-+maintainer-clean-am: distclean-am maintainer-clean-generic
-+
-+mostlyclean: mostlyclean-recursive
-+
-+mostlyclean-am: mostlyclean-generic
-+
-+uninstall-am: uninstall-info-am uninstall-local
-+
-+uninstall-info: uninstall-info-recursive
-+
-+.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
-+ clean-generic clean-recursive dist dist-all dist-gzip distcheck \
-+ distclean distclean-generic distclean-hdr distclean-recursive \
-+ distclean-tags distcleancheck distdir dvi dvi-am dvi-recursive \
-+ info info-am info-recursive install install-am install-data \
-+ install-data-am install-data-local install-data-recursive \
-+ install-exec install-exec-am install-exec-recursive \
-+ install-info install-info-am install-info-recursive install-man \
-+ install-recursive install-strip installcheck installcheck-am \
-+ installdirs installdirs-am installdirs-recursive \
-+ maintainer-clean maintainer-clean-generic \
-+ maintainer-clean-recursive mostlyclean mostlyclean-generic \
-+ mostlyclean-recursive tags tags-recursive uninstall \
-+ uninstall-am uninstall-info-am uninstall-info-recursive \
-+ uninstall-local uninstall-recursive
-+
-+
-+install-data-local: dillorc
-+ -if [ -d $(DESTDIR)$(sysconfdir) ]; then \
-+ $(INSTALL_DATA) --backup=t $(srcdir)/dillorc $(DESTDIR)$(sysconfdir)/; \
-+ elif [ -d /etc/ ]; then \
-+ $(INSTALL_DATA) --backup=t $(srcdir)/dillorc /etc/; \
-+ fi
-+
-+uninstall-local:
-+ -if [ -d $(DESTDIR)$(sysconfdir) ]; then \
-+ rm -f $(DESTDIR)$(sysconfdir)/dillorc*; \
-+ elif [ -d /etc/ ]; then \
-+ rm -f /etc/dillorc*
-+ fi
-+# Tell versions [3.59,3.63) of GNU make to not export all variables.
-+# Otherwise a system limit (for SysV at least) may be exceeded.
-+.NOEXPORT:
-diff -urN dillo-0.6.6/Makefile.am dillo2-0.6.6/Makefile.am
---- dillo-0.6.6/Makefile.am 2002-02-14 06:48:46.000000000 -0700
-+++ dillo2-0.6.6/Makefile.am 2003-04-21 12:35:04.000000000 -0600
-@@ -1,6 +1,6 @@
- SUBDIRS = doc src
-
--EXTRA_DIST = ChangeLog dillorc
-+EXTRA_DIST = ChangeLog.old dillorc
-
- install-data-local: dillorc
- -if [ -d $(DESTDIR)$(sysconfdir) ]; then \
-diff -urN dillo-0.6.6/Makefile.in dillo2-0.6.6/Makefile.in
---- dillo-0.6.6/Makefile.in 2002-05-29 15:02:18.000000000 -0600
-+++ dillo2-0.6.6/Makefile.in 2003-04-21 14:25:02.000000000 -0600
-@@ -1,6 +1,8 @@
--# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
-+# Makefile.in generated by automake 1.6.3 from Makefile.am.
-+# @configure_input@
-
--# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
-+# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
-+# Free Software Foundation, Inc.
- # This Makefile.in is free software; the Free Software Foundation
- # gives unlimited permission to copy and/or distribute it,
- # with or without modifications, as long as this notice is preserved.
-@@ -10,7 +12,7 @@
- # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
- # PARTICULAR PURPOSE.
-
--
-+@SET_MAKE@
- SHELL = @SHELL@
-
- srcdir = @srcdir@
-@@ -31,13 +33,9 @@
- mandir = @mandir@
- includedir = @includedir@
- oldincludedir = /usr/include
--
--DESTDIR =
--
- pkgdatadir = $(datadir)/@PACKAGE@
- pkglibdir = $(libdir)/@PACKAGE@
- pkgincludedir = $(includedir)/@PACKAGE@
--
- top_builddir = .
-
- ACLOCAL = @ACLOCAL@
-@@ -45,90 +43,97 @@
- AUTOMAKE = @AUTOMAKE@
- AUTOHEADER = @AUTOHEADER@
-
-+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
- INSTALL = @INSTALL@
--INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
-+INSTALL_PROGRAM = @INSTALL_PROGRAM@
- INSTALL_DATA = @INSTALL_DATA@
-+install_sh_DATA = $(install_sh) -c -m 644
-+install_sh_PROGRAM = $(install_sh) -c
-+install_sh_SCRIPT = $(install_sh) -c
- INSTALL_SCRIPT = @INSTALL_SCRIPT@
-+INSTALL_HEADER = $(INSTALL_DATA)
- transform = @program_transform_name@
--
- NORMAL_INSTALL = :
- PRE_INSTALL = :
- POST_INSTALL = :
- NORMAL_UNINSTALL = :
- PRE_UNINSTALL = :
- POST_UNINSTALL = :
-+
-+EXEEXT = @EXEEXT@
-+OBJEXT = @OBJEXT@
-+PATH_SEPARATOR = @PATH_SEPARATOR@
-+AMTAR = @AMTAR@
-+AWK = @AWK@
- CC = @CC@
--GTK_CFLAGS = @GTK_CFLAGS@
--GTK_CONFIG = @GTK_CONFIG@
--GTK_LIBS = @GTK_LIBS@
-+DEPDIR = @DEPDIR@
-+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
- LIBJPEG_LIB = @LIBJPEG_LIB@
--MAKEINFO = @MAKEINFO@
- PACKAGE = @PACKAGE@
-+PKG_CONFIG = @PKG_CONFIG@
- RANLIB = @RANLIB@
-+STRIP = @STRIP@
- VERSION = @VERSION@
--datadir = @datadir@
-+am__include = @am__include@
-+am__quote = @am__quote@
-+install_sh = @install_sh@
- src = @src@
--
- SUBDIRS = doc src
-
--EXTRA_DIST = ChangeLog dillorc
-+EXTRA_DIST = ChangeLog.old dillorc
-+subdir = .
- ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
- mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
- CONFIG_HEADER = config.h
--CONFIG_CLEAN_FILES =
--DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
--Makefile.am Makefile.in NEWS aclocal.m4 config.h.in configure \
--configure.in install-sh missing mkinstalldirs
--
-+CONFIG_CLEAN_FILES =
-+DIST_SOURCES =
-
--DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
-+RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
-+ uninstall-info-recursive all-recursive install-data-recursive \
-+ install-exec-recursive installdirs-recursive install-recursive \
-+ uninstall-recursive check-recursive installcheck-recursive
-+DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
-+ Makefile.in NEWS aclocal.m4 config.h.in configure configure.in \
-+ dep